Register a new employee with an employerpost https://api.symmetry.com/i9/v1/employers/{employerId}/employeesRegister a new employee with an employerPath ParamsemployerIdstringrequiredBody ParamsaddressobjectThe address sub-element of the Employee element contains all data pertaining to Employee's physical address.address objectappliedForSsnbooleanIndicates whether the employee has applied for an SSN. If true, socialSecurityNumber cannot be provided. If false, socialSecurityNumber is required. For updates, this field is optional.truetruefalsedateOfBirthdaterequiredDate of birth associated with a Employee.emailAddressstringrequiredEmail address associated with a Employee.employmentobjectrequiredCurrent employment recordemployment objectfirstNamestringrequiredEmployee's first name.genderstringenumfmxAllowed:fmxiduuidlastNamestringrequiredEmployee's last name.middleNamestringEmployee's middle name.nicknamestringskipEverifybooleanAllows employer to manage E-Verify cases manually via the E-Verify website directly. When true, employee will not be automatically sent to E-Verify when Form I-9 is completed.truefalsesocialSecurityNumberstringEmployee's Social Security Number. Must be exactly 9 digits. All non-numeric characters will be automatically removed before validation (for example, 123-45-6789 will be validated as 123456789). Required when appliedForSsn is false. Cannot be provided when appliedForSsn is true.telephoneNumberstringThe phone number associated with a Employee. Required if remote verification (i9RemoteCounterSignAuthorized or i9RemoteReverificationAuthorized) is enabled.Responses 200OK 400Bad Request - Validation errors or malformed request. Common issues include: missing required fields, invalid field formats, or conditional validation failures (e.g., SSN required when appliedForSsn is false). 404Resource not foundUpdated 2 months ago